/*<---------------------------------------------------------------------->*/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <time.h>
#include "chrtbl_err.h"

static const char *err_file_name = "err.txt";
/*<---------------------------------------------------------------------->*/
void remove_err_log(void)
{
	remove(err_file_name);
}
/*<---------------------------------------------------------------------->*/
void print_err(char *fmt, ...)
{
	FILE *fp;
	va_list argp;
	time_t t;
	char tm_str[32];

	fp = fopen(err_file_name, "a");
	if(!fp)
		return;
	t = time(NULL);
	strftime(tm_str, sizeof(tm_str), "%y/%m/%d %H:%M:%S", localtime(&t));
	fprintf(fp, "%s  ", tm_str);

	va_start(argp, fmt);
	vfprintf(fp, fmt, argp);
	va_end(argp);

	fprintf(fp, "\n");
	fclose(fp);
}
/*<---------------------------------------------------------------------->*/
