/*<---------------------------------------------------------------------->*/
#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>
#include <stdio.h>
#include "chrtbl_util.h"
#include "chrtbl_option.h"
#include "chrtbl_err.h"
/*<---------------------------------------------------------------------->*/
int main(int argc, char **argv)
{
	char errmsg[512];
	chrtbl_option_t option;
	const char *inifile = "chrtbl.ini";

	remove_err_log();
	if(argc > 1){
		if(argc == 2){
			inifile = argv[1];
		}
		else{
			MessageBox(NULL, (LPCSTR)"̐ԈĂ܂B",
						(LPCSTR)"G[", MB_OK | MB_ICONINFORMATION);
			return -1;
		}
	}

	if(get_chrtbl_option(inifile, &option) == -1){
		sprintf(errmsg, "ݒt@C %s ̓ǂݍ݂Ɏs܂B", inifile);
		MessageBox(NULL, (LPCSTR)errmsg,
					(LPCSTR)"G[", MB_OK | MB_ICONINFORMATION);
		return -1;
	}

	if(TRUE != GenerateChrBitmap(NULL, &option)){
		MessageBox(NULL, (LPCSTR)"s܂iG[OɉoĂ邩Hj",
					(LPCSTR)"G[", MB_OK | MB_ICONINFORMATION);
		return -1;
	}

#if 0
	MessageBox(NULL, (LPCSTR)"I܂B",
				(LPCSTR)"I", MB_OK | MB_ICONINFORMATION);
#endif
	return 0;
}
